Retrieve TCA metrics for an execution
Returns persisted execution-level TCA summary, fill metrics, and benchmark snapshots.
x-api-key<token>
In: header
Path Parameters
executionId*string
Header Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/tca/executions/string" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "summary": { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "executionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "tradeAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "executionContext": { "intent": "OPEN", "orderType": "MARKET", "executionStatus": "IDLE", "positionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "triggerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "legs": [ { "symbol": "string", "side": "BUY", "reduceOnly": true } ] }, "notionalQuote": "string", "notionalUsd": "string", "weightedSlippageBps": "string", "totalSlippageUsd": "string", "totalTradeFee": "string", "totalPearFee": "string", "totalCostUsd": "string", "fillCount": 0, "status": "FINAL", "createdAt": "2026-01-15T09:30:00.000Z", "updatedAt": "2026-01-15T09:30:00.000Z" }, "fillMetrics": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "fillId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "benchmarkId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "executionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "positionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "tradeAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "symbol": "string", "cloid": "string", "exchangeFillId": "string", "slippageBps": "string", "slippageQuote": "string", "slippageUsd": "string", "implementationShortfallBps": "string", "spreadCostQuote": "string", "spreadCostUsd": "string", "tradeFee": "string", "pearFee": "string", "totalCostUsd": "string", "gatewayLatencyMs": 0, "timeToFillMs": 0, "quoteAsset": "string", "notionalQuote": "string", "notionalUsd": "string", "submittedAt": "2026-01-15T09:30:00.000Z", "acknowledgedAt": "2026-01-15T09:30:00.000Z", "exchangeExecutedAt": "2026-01-15T09:30:00.000Z", "timingGranularity": "BATCH", "status": "FINAL", "createdAt": "2026-01-15T09:30:00.000Z", "updatedAt": "2026-01-15T09:30:00.000Z", "benchmark": { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "executionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "orderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "cloid": "string", "legIndex": 0, "connector": "hyperliquid", "symbol": "string", "side": "BUY", "decisionPrice": "string", "arrivalMid": "string", "arrivalBid": "string", "arrivalAsk": "string", "markPrice": "string", "indexPrice": "string", "source": "string", "timestamp": "2026-01-15T09:30:00.000Z", "quoteAsset": "string", "usdConversionPrice": "string", "createdAt": "2026-01-15T09:30:00.000Z" } } ]}